﻿using System;
using DotNet.Demo.CommLibrary.Contracts;
using DotNet.ServiceModel;

namespace DotNet.Demo.CommLibrary.Services
{
    public class TestService : ServiceBase, ITest
    {
        public TestService(ServiceHost serviceHost) : base(serviceHost)
        {
        }

        public void SendTest(string message)
        {
            Console.WriteLine("SendTest => " + message);
        }

        public string GetTest(string message)
        {
            Console.WriteLine("GetTest => " + message);
            return "return";
        }

        public TestInfo GetInfo(int id)
        {
            Console.WriteLine("GetInfo => " + id);
            var testInfo = new TestInfo
            {
                Id = id,
                Name = "DotNet.ServiceModel",
                Data = new byte[] { (byte)'1', (byte)'2', (byte)'3', (byte)'4', (byte)'5', (byte)'6', (byte)'7', (byte)'8', (byte)'9', (byte)'0' },
                IsTest = true,
                Object = DateTime.Now
            };
            return testInfo;
        }
    }
}
