﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Reflection;
using DotNet.ServiceModel;

namespace DotNet.Demo.Server
{
    class Program
    {
        static void Main(string[] args)
        {
            var asmb = Assembly.LoadFrom("DotNet.Demo.CommLibrary.dll");
            var serviceType = asmb.GetType("DotNet.Demo.CommLibrary.Services.TestService");
            var serviceHost = new ServiceHost(serviceType)
            {
                LocalEndPoint = new IPEndPoint(IPAddress.Any, 8888),
            };
            serviceHost.Opening += (sender, e) =>
            {
                var sHost = (ServiceHost)sender;
                Console.WriteLine(DateTime.Now + "\t" + sHost.Addresses + " 正在启动...");
            };
            serviceHost.Opened += (sender, e) =>
            {
                var sHost = (ServiceHost)sender;
                Console.WriteLine(DateTime.Now + "\t" + sHost.Addresses + " 已启动");
            };
            serviceHost.Closing += (sender, e) =>
            {
                var sHost = (ServiceHost)sender;
                Console.WriteLine(DateTime.Now + "\t" + sHost.Addresses + " 正在关闭...");
            };
            serviceHost.Closed += (sender, e) =>
            {
                var sHost = (ServiceHost)sender;
                Console.WriteLine(DateTime.Now + "\t" + sHost.Addresses + " 已关闭");
            };
            serviceHost.Faulted += (sender, e) =>
            {
                var sHost = (ServiceHost)sender;
                Console.WriteLine(DateTime.Now + "\t" + sHost.Addresses + " 出错");
            };
            serviceHost.Open();
            Console.Read();
        }
    }
}
